Loading...
Searching...
No Matches
caf::detail::path_state< unit_t, T > Struct Template Reference

Compress path_state if Filter is unit. More...

`#include <path_state.hpp>`

## Public Types

using | buffer_type = std::vector<T>

## Public Member Functions

| path_state (path_state &&other)
| path_state (const path_state &other)
path_state & | operator= (path_state &&other)
path_state & | operator= (const path_state &other)

## Public Attributes

union caf::detail::path_state< unit_t, T >:: { ... } |

## Detailed Description

template<class T>
struct caf::detail::path_state< unit_t, T >

Compress path_state if Filter is unit.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/path_state.hpp